#!/bin/bash
CSV_FILE="$1"

if [ -z "$CSV_FILE" ] ; then
	echo No CSV file supplied... Exiting
	exit 1
fi

cat $CSV_FILE | grep -v '^#' | while read line ; do
	MAIL=`echo $line | awk -F';' '{ print $1 }'`
	USERNAME="$MAIL"


	if kopano-cli --user=$USERNAME > /dev/null 2>&1 ; then
		if kopano-cli --user=$USERNAME | awk '/^Features/' | grep imap > /dev/null 2>&1 ; then
			echo imap already activated for $USERNAME
		else
			echo Activating imap for $USERNAME
			/usr/sbin/kopano-cli --user $USERNAME --add-feature imap
		fi
	else
		echo $USERNAME does not exist
	fi
done
