#!/bin/sh

PASS_LENGH="14"
DB_NAME="kopano"
DB_USER="kopano"
DB_HOST="localhost"
DB_PORT="3306"
DB_PASS=`openssl rand -base64 $PASS_LENGH`

cat > /etc/kopano/db.cfg << EOF
database_engine = mysql
mysql_host = $DB_HOST
mysql_port = $DB_PORT
mysql_user = $DB_USER
mysql_password = $DB_PASS
mysql_database = $DB_NAME
EOF

GRANT_SH=`mktemp /tmp/GRANT_DB.XXXX`
cat > $GRANT_SH << EOF
#!/bin/sh
mysql -e "grant all privileges on $DB_NAME.* to '$DB_USER'@'localhost' identified by '$DB_PASS';"
EOF
sh $GRANT_SH && rm $GRANT_SH

if grep '^!include /etc/kopano/db.cfg' /etc/kopano/server.cfg 2>&1 > /dev/null ; then
	echo /etc/kopano/db.cfg already include in /etc/kopano/server.cfg
else
	echo Including /etc/kopano/db.cfg in /etc/kopano/server.cfg
	echo '!include /etc/kopano/db.cfg' >> /etc/kopano/server.cfg
fi

